steps:
  # Install dependencies
  - name: python:3.8
    entrypoint: pip
    args: [ 'install', '-r', './battery-reliability/src/requirements.txt', '--user' ]
  # Run unit tests
  - name: python:3.8
    entrypoint: python
    args: [ '-m', 'pytest', '--junitxml=${SHORT_SHA}_test_log.xml' ]
    dir: './battery-reliability/src/'
    env:
      - BRANCH_NAME=$BRANCH_NAME
  # build image
  - name: 'gcr.io/cloud-builders/docker'
    args: [
        'build',
        '-t', 'gcr.io/$PROJECT_ID/reliability:prod',
        '-f', './battery-reliability/deployment/Dockerfile',
        '.'
    ]
  # push container
  - name: 'gcr.io/cloud-builders/docker'
    args: [ 'push', 'gcr.io/$PROJECT_ID/reliability:prod' ]


timeout: 3600s